Tp::BaseConnectionContactInfoInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseConnectionContactInfoInterface Class Reference
Connection manager service implementation

Base class for implementations of Connection.Interface.Contact.Info. More...

`#include <TelepathyQt/BaseConnection>`

Inherits Tp::AbstractConnectionInterface.

## Public Types
typedef Callback2 < Tp::ContactInfoMap, const Tp::UIntList &, DBusError * > | GetContactInfoCallback
typedef Callback2< void, const Tp::UIntList &, DBusError * > | RefreshContactInfoCallback
typedef Callback2 < Tp::ContactInfoFieldList, uint, DBusError * > | RequestContactInfoCallback
typedef Callback2< void, const Tp::ContactInfoFieldList &, DBusError * > | SetContactInfoCallback

## Public Member Functions
virtual | ~BaseConnectionContactInfoInterface ()
QVariantMap | immutableProperties () const
Tp::ContactInfoFlags | contactInfoFlags () const
void | setContactInfoFlags (const Tp::ContactInfoFlags &contactInfoFlags)
Tp::FieldSpecs | supportedFields () const
void | setSupportedFields (const Tp::FieldSpecs &supportedFields)
void | setGetContactInfoCallback (const GetContactInfoCallback &cb)
Tp::ContactInfoMap | getContactInfo (const Tp::UIntList &contacts, DBusError *error)
void | setRefreshContactInfoCallback (const RefreshContactInfoCallback &cb)
void | refreshContactInfo (const Tp::UIntList &contacts, DBusError *error)
void | setRequestContactInfoCallback (const RequestContactInfoCallback &cb)
Tp::ContactInfoFieldList | requestContactInfo (uint contact, DBusError *error)
void | setSetContactInfoCallback (const SetContactInfoCallback &cb)
void | setContactInfo (const Tp::ContactInfoFieldList &contactInfo, DBusError *error)
void | contactInfoChanged (uint contact, const Tp::ContactInfoFieldList &contactInfo)
Public Member Functions inherited from Tp::AbstractConnectionInterface
| AbstractConnectionInterface (const QString &interfaceName)
virtual | ~AbstractConnectionInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseConnectionContactInfoInterfacePtr | create ()
template<typename BaseConnectionContactInfoInterfaceSubclass >
static SharedPtr < BaseConnectionContactInfoInterfaceSubclass > | create ()

## Protected Member Functions
| BaseConnectionContactInfoInterface ()
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Connection.Interface.Contact.Info.

## Member Typedef Documentation

typedef Callback2<Tp::ContactInfoMap, const Tp::UIntList &, DBusError*> Tp::BaseConnectionContactInfoInterface::GetContactInfoCallback

typedef Callback2<void, const Tp::UIntList &, DBusError*> Tp::BaseConnectionContactInfoInterface::RefreshContactInfoCallback

typedef Callback2<Tp::ContactInfoFieldList, uint, DBusError*> Tp::BaseConnectionContactInfoInterface::RequestContactInfoCallback

typedef Callback2<void, const Tp::ContactInfoFieldList &, DBusError*> Tp::BaseConnectionContactInfoInterface::SetContactInfoCallback

## Constructor & Destructor Documentation

Tp::BaseConnectionContactInfoInterface::~BaseConnectionContactInfoInterface | ( |  | ) |
| virtual

Class destructor.

Tp::BaseConnectionContactInfoInterface::BaseConnectionContactInfoInterface | ( |  | ) |
| protected

Class constructor.

## Member Function Documentation

static BaseConnectionContactInfoInterfacePtr Tp::BaseConnectionContactInfoInterface::create | ( |  | ) |
| inlinestatic

template<typename BaseConnectionContactInfoInterfaceSubclass >

static SharedPtr<BaseConnectionContactInfoInterfaceSubclass> Tp::BaseConnectionContactInfoInterface::create | ( |  | ) |
| inlinestatic

QVariantMap Tp::BaseConnectionContactInfoInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

Tp::ContactInfoFlags Tp::BaseConnectionContactInfoInterface::contactInfoFlags | ( |  | ) | const

void Tp::BaseConnectionContactInfoInterface::setContactInfoFlags | ( | const Tp::ContactInfoFlags & | contactInfoFlags | ) |

Tp::FieldSpecs Tp::BaseConnectionContactInfoInterface::supportedFields | ( |  | ) | const

void Tp::BaseConnectionContactInfoInterface::setSupportedFields | ( | const Tp::FieldSpecs & | supportedFields | ) |

void Tp::BaseConnectionContactInfoInterface::setGetContactInfoCallback | ( | const GetContactInfoCallback & | cb | ) |

Tp::ContactInfoMap Tp::BaseConnectionContactInfoInterface::getContactInfo | ( | const Tp::UIntList & | contacts,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionContactInfoInterface::setRefreshContactInfoCallback | ( | const RefreshContactInfoCallback & | cb | ) |

void Tp::BaseConnectionContactInfoInterface::refreshContactInfo | ( | const Tp::UIntList & | contacts,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionContactInfoInterface::setRequestContactInfoCallback | ( | const RequestContactInfoCallback & | cb | ) |

Tp::ContactInfoFieldList Tp::BaseConnectionContactInfoInterface::requestContactInfo | ( | uint | contact,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionContactInfoInterface::setSetContactInfoCallback | ( | const SetContactInfoCallback & | cb | ) |

void Tp::BaseConnectionContactInfoInterface::setContactInfo | ( | const Tp::ContactInfoFieldList & | contactInfo,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionContactInfoInterface::contactInfoChanged | ( | uint | contact,
|  | const Tp::ContactInfoFieldList & | contactInfo
| ) |  |